/// <reference path="vendor/knockout-2.2.1.js" />
/// <reference path="SupportScripts.js" />
// Since this is just a demo project this is the only viewmodel in the project

/*global ko */
var vm = vm || {};

(function () {
    "use strict";

    vm.demoViewModel =
    {
        maxLen : 10,
        name: ko.observable(""),
        nameVisible: ko.observable(true),
        changeName: function () {
            if (this.name() === "Tod") {
                this.name("Vinnie");
            } else if (this.name() === "Vinnie") {
                this.name("Ritchie");
            } else {
                this.name("Tod");
            }
        },

        frequency: ko.observable(),
        debugOptions: ko.observable(),
        debugValue: ko.observable(),
        testCheckbox: ko.observable(),

        randomValue: ko.observable(),
        systemTick: ko.observable(),
        resultData: ko.observableArray(),
        addResult: function (data) {
            this.resultData.unshift(data);
            if (this.resultData().length > this.maxLen) {
                this.resultData.pop();
            }
        }

    };
    

}());

