// SimpleA2D.h
//  Created on: Apr 25, 2013
//      Author: Tod
// Copyright (c) 2013 Syncor Systems, Inc.
//From source code supplid by NetBurner

#pragma once

class A2D
{
    public:

        static void InitSingleEnd(); // Setup the A/D converter to be ready to run
        static unsigned short Read(int ch);

    private:
        static void Start(); // Start A/D conversion set.
        static bool IsDone(); // Return true if the conversion is complete
        static unsigned short GetResult(int ch); // Return the AD Result

};

